%define rel 1
%define srcname ktp-text-ui

Summary:        Telepathy handler for Text Chats
Name:           telepathy-kde-text-ui
Version:        0.3.0
Release:        %mkrel %{rel}
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-text-ui
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:        GPLv2+
Group:          Networking/Instant messaging
BuildRequires:  telepathy-kde-common-internals-devel
BuildRequires:  shared-desktop-ontologies-devel
BuildRequires:  pkgconfig(telepathy-logger-0.2)
BuildRequires:  pkgconfig(QtGLib-2.0)

# Added on 2011/11/27
Obsoletes:    telepathy-text-ui < 0.2.0-0
Obsoletes:    telepathy-chat-handler 

Requires:     telepathy-kde-common-internals-translations
Requires:       telepathy-kde-send-file
# Spell check support
Requires: iso-codes


%description
Telepathy handler for Text Chats.

%files -f ktp-text-ui.lang
%{_kde_libdir}/libktpchat.so
%{_kde_libdir}/kde4/kcm_ktp_chat_appearance.so
%{_kde_libdir}/kde4/kcm_ktp_chat_behavior.so
%{_kde_libdir}/kde4/libexec/ktp-adiumxtra-protocol-handler
%{_kde_libdir}/kde4/libexec/ktp-text-ui
%{_kde_services}/kcm_ktp_chat_appearance.desktop
%{_kde_services}/kcm_ktp_chat_behavior.desktop
%{_kde_appsdir}/ktelepathy/styles/
%{_kde_appsdir}/ktelepathy/template.html
%{_kde_appsdir}/ktp-text-ui
%{_kde_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%{_kde_services}/adiumxtra.protocol
%{_datadir}/telepathy/clients/KTp.TextUi.client

#------------------------------------------------------------------------------

%package devel
Summary:        Telepathy text chat handler
Group:          Graphical desktop/KDE
Requires:        %{name} = %{version}-%{release}
Obsoletes:      telepathy-chat-handler-devel
# Added on 2011/11/27
Obsoletes:      telepathy-text-ui-devel < 0.2.0-0
Provides:       telepathy-text-ui-devel = %version-%release  

%description devel
Telepathy text chat handler.

%files devel
%{_kde_includedir}/KTp/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-text-ui --all-name


%changelog

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202947
- Add requires for tkp-send-file
- Add requires of iso-codes (needed for spell check supports)
- Update tarball to 0.3.0
- Fix usage of find_lang macro
- Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173238
- Update tarball to 0.2.0
- fix files list
- Add some BR
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111005.1.mga2
+ Revision: 152791
- Update git snapshot

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146694
- Update git snapshot
- fix file list
- fix url to match new name
- Rename spec to telepathy-text-ui
- Rename telepathy-chat-handler to telepathy-text-ui
- Update tarball
- use kde4 macros
- fix file list

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113041
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110415.1.mga1
+ Revision: 86138
- imported package telepathy-chat-handler

